---
marp: true
theme: uncover
color: #eee
colorSecondary: #333
backgroundColor: #111
paginate: true
---

# <!-- fit --> Hello World

ROBOTS ARE UPRISING. WHAT SIDE ARE YOU ON?

<!-- 21ème siècle. Les algos sont partout. -->
<!-- L'API divise le monde, scindé en deux catégories : ceux qui l'écrivent et ceux qui la vivent. -->
<!-- Si vous êtes arrivés jusqu'ici, en 5ème année, 
bravo,
car vous êtes du bon coté de la ligne... -->
---

<!-- Plus sérieusement, bienvenue dans mon cours -->
### On va parler de 
# <!-- fit --> Machine Learning
<!-- Vous avez eu l'occasion d'y réfléchir un peu avant ce cours. -->

---

## Mais pas comme ça

<br />

$$ I_{xx}=\int\int_Ry^2f(x,y)\cdot{}dydx $$
<!-- Le projet, c'est pas que vous compreniez tous les maths derrière -->
<br />

#### (Le moins possible)
<!-- Parfois c'est nécessaire pour saisir la beauté d'un modèle -->
---

## Ni comme ça
<!-- Les dangers, un sujet pour un cours entier -->
<!-- Biais, feedback loop foireuses, Risque existentiel?... -->
![bg right](https://uproxx.com/wp-content/uploads/2015/05/angry-bender.jpg?w=650)

###### - [the Fallacy of generalization from Fictional evidence](https://www.lesswrong.com/posts/rHBdcHGLJ7KvLJQPk/the-logical-fallacy-of-generalization-from-fictional)

--- 

## Encore que...

![bg right grayscale](https://uproxx.com/wp-content/uploads/2015/05/angry-bender.jpg?w=650)

###### - [AGI Ruin: A List of Lethalities](https://www.lesswrong.com/posts/uMQ3cqWDPHhjtiesc/agi-ruin-a-list-of-lethalities)

--- 

## On va parler des derniers succès

#### - [Meta AI Research: CICERO](https://ai.facebook.com/blog/cicero-ai-negotiates-persuades-and-cooperates-with-people/)
<!-- Mais aussi:
 - AlphaGo / AlphaZero
 - 
-->
![bg left](./img/01-cicero.png)

--- 

## Et d'échecs intéressants

##### - [MIT Tech review:  100s of AI tools built for covid... None helped.](https://www.technologyreview.com/2021/07/30/1030329/machine-learning-ai-failed-covid-hospital-diagnosis-pandemic/)

![bg left 100%](./img/01-covid-failed.png)

----

## Mais aussi de révolutions en cours


##### - [Midjourney](fixme)

![bg left](./img/01-midjourney.png)

---
![bg 100%](./img/01-diffusion.png)
<br />
<br />
<br />
<br />
<br />
##### - [The Illustrated Stable Diffusion by Jay Alamar](https://jalammar.github.io/illustrated-stable-diffusion/)

---
### Comment les modèles... peuvent raconter des histoires 

##### - [AI Dungeon 2](https://aidungeon.cc/)

![bg left 100%](./img/01-dungeon.jpg)

----
### Comment ils nous comprennent


##### - [OpenAI Jukebox: a neural net that generates music, including rudimentary singing](https://openai.com/blog/jukebox/)

![bg left 100%](./img/01-jukebox.png)

----
## Comment vous pourriez les comprendre
<!-- Comprendre ce qu'ils ont dans la tête -->
<!-- Comprendre comment ils nous analysent -->
<!-- Comprendre comment on les contourne -->

--- 
## Et comment leur faire faire ce que vous voulez
<!-- Les appliquer à votre quotidien -->
<!-- S'en servir intelligemment en entreprise -->
<!-- Entrer dans un nouveau monde d'art et de créativité -->

---
<!--
_backgroundColor: white
_color: black
-->
<br />

## Qui suis-je?

<!-- Vous pouvez me contacter -->

### Paul-Louis Nech
- ###### ✉ formation@nech.pl
- ###### 🔗 LinkedIn.com/in/PLNech
- ###### 💡 GitHub.com/PLNech

![bg right grayscale](./img/01-me.jpg)

---

<!--
_backgroundColor: white
_color: black
-->
<br />

## Parcours

- #### EPITA 2016 | MTI
- #### Software Engineer @Algolia
- #### Senior ML Engineer @Algolia
![bg right](./img/01-me2.jpg)

---
## C'est quoi ce cours ?
<!-- Plan du cours / TDs / eval -->
<!-- Format / interactions welcome -->
---
#### Des connaissances
## &
#### Des compétences
![bg right](./img/01-map-center.png)

---
#### Ce que vous saurez
![bg right](./img/01-map-known.png)

---
###### (Et ce que vous saurez... que vous ne savez pas) 
![bg right 99%](./img/01-map-unknown.png)

---
#### Ce que vous saurez faire
![bg right](./img/01-map-practice.png)

---
# Prêts ?
---
# Les bases 

---
## C'est quoi apprendre ?
<!-- 

Behaviorisme: apprendre = savoir _faire_ 
Acquis vs Inné : danse des abeilles vs culture des chimpanzés
Conditionnement opérant (Pavlov et sa cloche)

-->
---

## C'est quoi apprendre ?
#### voir...
- [WP: Learning](https://en.wikipedia.org/wiki/Learning)
- [WP: _Machine_ Learning](https://en.wikipedia.org/wiki/Machine_Learning)
- [WP: Operant Conditioning](https://en.wikipedia.org/wiki/Operant_conditioning)

---
### Conditionnement 
## Opérant
![bg right 99%](./img/01-operant.png)

---
<!-- 
_color: black
_backgroundColor: white 
-->
### Reinforcement
##  Learning

![bg right 90%](./img/01-reinforcement.png)

---
### Le par-coeur, un problème ? 

---
### Guessing the teachers password 
<!-- 
Proper beliefs pay rent by functioning as anticipation-controllers; 
a proper belief is not just a string of words, but a cognitive structure fully integrated with the believer's model of how the world simply is. 
Unfortunately, many students in traditional schools become accustomed to guessing the teacher's password, repeating back words that make it superficially sound as if they understand the topic, when in fact they don't.
 -->

<br />
<br />
<br />

- Voir [LessWrong](https://www.lesswrong.com/posts/NMoLJuDJEms7Ku9XS/guessing-the-teacher-s-password)
---
## Apprendre 
## c'est oublier


![bg right 90%](./img/01-information.png)

<!-- 
Initially,weights are randomly initialised. 
So barely anything is known about the correct output. 

With successive layers the mutual information about input decreases and the information in hidden layers about the output is low as well.
 -->
---
## Apprendre 
## c'est oublier

![bg right 90%](./img/01-information2.png)

<!-- 
As we train the Neural Network the plots start moving up, signifying gain of information about the output.

But.

Plots also start shifting towards the right side, signifying increase of information in latter layers about the input.
 -->
---
## Apprendre 
### c'est 
###### (pas tout) 
#### oublier


- ###### [[Towards Data Science] _Information theory of Neural Networks_](https://towardsdatascience.com/information-theory-of-neural-networks-ad4053f8e177)
![bg right 90%](./img/01-information3.png)

<!-- 

After the compression phase, the plots starts shifting towards the top but also to left side.

This signifies, with successive layers, there is loss of information about the input and what’s retained in the last layer is the lowest entropy information about the output.
-->

---
Comment je sais ce que je sais pas ? 

---
# Failures of ML 

---
MIT COVID FAILS 

---
### Gaming the game: IAs flemmardes

<br />

- [Régalez vous <br /> avec ce tableau](https://docs.google.com/spreadsheets/u/1/d/e/2PACX-1vRPiprOaC3HsCf5Tuum8bRfzYUiKLRqJmbOoC-32JorNdfyTiRRsR7Ea5eWtvsWzuxo8bjOxCG84dAg/pubhtml)

![bg right 90%](./img/01-cheater.png)

---
### Short-term goals vs long-term goals 

---
### Dangerous goals : Paperclip maximizer? 


---
# C'est quoi du ML ? 

---
Un thermostat ? 

---
Sacs de ifs

---
Amazon mechanical turk

---
Elisa? Turing test ? 

---
Akinator ? 

---
Quelles limites aux possibilités du ML ? 

---
Andrew ng's quote on limits 


---
## Formalisme: features 

---
## métriques 

---
Precision

---
Rappel (Recall)

---
Supervisé ou non 


---
## Pionniers & Penseurs

---
### Turing

---
### Dartmouth

---
### Summer

---
### Yann LeCun

---
### Andrew Ng

---
### Yudkowsky 